eID middleware |

# be::portugal::eid::PTEID_Exception Class Reference

Base class for the PTEID SDK Exceptions. More...

Inheritance diagram for be::portugal::eid::PTEID_Exception:

List of all members.

## Public Member Functions
virtual void | Dispose ()
| PTEID_Exception (int lError)
| Constructor - Need error code that comes from eidErrors.h.
int | GetError ()
| Return the error code.
## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Base class for the PTEID SDK Exceptions.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_Exception::PTEID_Exception | ( | int | lError | ) | `[inline]`

Constructor - Need error code that comes from eidErrors.h.

## Member Function Documentation

virtual void be::portugal::eid::PTEID_Exception::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented in be::portugal::eid::PTEID_ExBadTransaction, be::portugal::eid::PTEID_ExBadUsage, be::portugal::eid::PTEID_ExCardBadType, be::portugal::eid::PTEID_ExCardChanged, be::portugal::eid::PTEID_ExCardTypeUnknown, be::portugal::eid::PTEID_ExCertNoCrl, be::portugal::eid::PTEID_ExCertNoIssuer, be::portugal::eid::PTEID_ExCertNoOcsp, be::portugal::eid::PTEID_ExCertNoRoot, be::portugal::eid::PTEID_ExCmdNotAllowed, be::portugal::eid::PTEID_ExCmdNotSupported, be::portugal::eid::PTEID_ExDocTypeUnknown, be::portugal::eid::PTEID_ExFileTypeUnknown, be::portugal::eid::PTEID_ExNoCardPresent, be::portugal::eid::PTEID_ExNoReader, be::portugal::eid::PTEID_ExNotAllowByUser, be::portugal::eid::PTEID_ExParamRange, be::portugal::eid::PTEID_ExReaderSetChanged, be::portugal::eid::PTEID_ExReleaseNeeded, be::portugal::eid::PTEID_ExUnknown, and be::portugal::eid::PTEID_ExUserMustAnswer.

int be::portugal::eid::PTEID_Exception::GetError | ( |  | ) | `[inline]`

Return the error code.

## Member Data Documentation

bool be::portugal::eid::PTEID_Exception::swigCMemOwn`[protected]`